Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027476
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-08-26 18:082014-10-01 17:30
ReporterjecharriView Statuspublic 
Assigned ToOrekaria 
PriorityurgentResolutionfixedFixed in VersionRR14Q4
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027476: Duplicate documentno in orders using Web POS

DescriptionDuplicate documentno in orders using Web POS
Steps To ReproduceFirst case:
-go to offline and create some order
-logout
-go to online
-select the URL and press enter
-you will go to sales window (it does not matter if you were logged out, you go to sales window)
-logout and login
-the proposed documentno is already used in another order

Second case:
-login
-go to offline mode
-create an order
-after paying the order verify that next documentno is exactly the same documentno

Third case:
-login
-create an order with some lines (the idea is that order creation is not immediate in the backoffice)
-press in total and pay
-if you select the URL and press enter
-the ERP will send you the previous documentno
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0027548RR14Q4 closedOrekaria Should be helpful if the OrderList object could point to OB.MobileApp.model.orderList 
related to defect 0027309 closedOrekaria New documentno after navigating to cash up or cash management window 
blocks backport 0027813RR14Q2.3 closedOrekaria Backport the document number fixes introduced in Q4 to Q2.4/Q3 
blocks defect 0027911 closedOrekaria The property documentsequence is not assigned and the 'seqNoReady' trigger is not fired 

-  Notes
(0069994)
hgbot (developer)
2014-09-07 18:02

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 41489fdd4240106ae231ac30fc24f5c4816797c0
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Sat Sep 06 19:18:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/41489fdd4240106ae231ac30fc24f5c4816797c0 [^]

Fixes issue 27309 and issue 27476: A new document sequence algorithm has been introduced to preserve consecutive document numbers
This logic:
- can handle the regular activity with the WebPOS: navigating, adding, deleting, changing orders, etc.
- it does not fill gaps that the user do not want to. e.g: if order 001 is paid, then 3 empty orders are created and then the 004 is paid; 005 will be the next valid document number
- synchronizes the document number with the server each time the terminal info is updated, which is, as of now, after login, every page refresh and every x minutes
- cannot handle 2 or more terminals with the same id, running at the same time

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0069997)
hgbot (developer)
2014-09-07 18:21

Repository: tools/automation/pi-mobile
Changeset: 8fd3b52cc884a6accd7b64432cd621a2bf0a2784
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Sun Sep 07 18:20:55 2014 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/8fd3b52cc884a6accd7b64432cd621a2bf0a2784 [^]

Related to issue 27309 and to issue 27476: Several tests have been added to verify that the document sequence algorithm is working as expected

---
M src-test/org/openbravo/retail/integrationtest/tests/RetailTestSuite.java
M src-test/org/openbravo/retail/integrationtest/tests/issues/RetailIssuesTestSuite.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/DocumentnoAndLocalDatabaseDocnoEquals.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/DocumentnoComputingLogicIntegrity.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/DocumentnoComputingLogicIntegrityWithSynchronization.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/DocumentnoSynchronizationContentInReceipt.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/DocumentnoSynchronizationEmptyReceipt.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/DocumentnoWhenCreatingQuotations.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/DocumentnoWithPendingReceiptsNewDeleteAndNew.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/NewDocumentnoAfterButtonNew.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/NewDocumentnoAfterSale.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/NewDocumentnoWhenLayaway.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/RetailGeneralReceiptTestSuite.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/SameDocumentnoAfterDeletingReceipt.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/SameDocumentnoAfterRefresh.java
A src-test/org/openbravo/retail/integrationtest/tests/general/receipt/SameDocumentnoAfterRefreshWithCreatedOrder.java
A src-test/org/openbravo/retail/integrationtest/tests/issues/I27309_SameDocumentnoAfterNavigatingCashManagementCashUp.java
A src-test/org/openbravo/retail/integrationtest/tests/issues/I27476_SameDocumentNoAfterPayAndReload.java
---
(0070013)
hgbot (developer)
2014-09-08 12:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c2a160c9542a66de3c4e7a014c3db1b2b450009d
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Mon Sep 08 12:37:30 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c2a160c9542a66de3c4e7a014c3db1b2b450009d [^]

Related to issue 27309 and issue 27476: back out rogue code

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070125)
adrianromero (manager)
2014-09-15 13:17

Verified
(0070613)
hgbot (developer)
2014-10-01 16:36

Repository: tools/automation/pi-mobile
Changeset: 782ba1f86c47be8c66242d5996833ebf290609ce
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Oct 01 16:36:31 2014 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/782ba1f86c47be8c66242d5996833ebf290609ce [^]

Related to Issue 27476: Added new test 'I27476_SameDocumentnoAfterSaleLogoutLogin'
- the issue was also reproduced with this steps: login, sale, logout, login

---
M src-test/org/openbravo/retail/integrationtest/tests/issues/RetailIssuesTestSuite.java
A src-test/org/openbravo/retail/integrationtest/tests/issues/I27476_SameDocumentnoAfterSaleLogoutLogin.java
---
(0070620)
hgbot (developer)
2014-10-01 17:30

Repository: tools/automation/pi-mobile
Changeset: a73c739313310bc441dcc7f0044a6b56fe00873d
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Oct 01 17:29:34 2014 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/a73c739313310bc441dcc7f0044a6b56fe00873d [^]

Related to Issue 27476: Added new test 'I27476_SameDocumentnoAfterSaleLogoutLoginII'
- the issue was also reproduced with this steps: login, sale, logout, login

---
M src-test/org/openbravo/retail/integrationtest/tests/issues/RetailIssuesTestSuite.java
A src-test/org/openbravo/retail/integrationtest/tests/issues/I27476_SameDocumentnoAfterSaleLogoutLoginII.java
---

- Issue History
Date Modified Username Field Change
2014-08-26 18:08 jecharri New Issue
2014-08-26 18:08 jecharri Assigned To => marvintm
2014-08-26 18:08 jecharri Triggers an Emergency Pack => No
2014-09-07 17:35 Orekaria Relationship added depends on 0027548
2014-09-07 17:36 Orekaria Relationship added related to 0027309
2014-09-07 18:02 hgbot Checkin
2014-09-07 18:02 hgbot Note Added: 0069994
2014-09-07 18:21 hgbot Checkin
2014-09-07 18:21 hgbot Note Added: 0069997
2014-09-07 18:22 Orekaria Status new => scheduled
2014-09-07 18:22 Orekaria Assigned To marvintm => Orekaria
2014-09-07 18:22 Orekaria fix_in_branch => pi
2014-09-07 18:22 Orekaria Status scheduled => resolved
2014-09-07 18:22 Orekaria Fixed in Version => RR14Q4
2014-09-07 18:22 Orekaria Resolution open => fixed
2014-09-08 12:40 hgbot Checkin
2014-09-08 12:40 hgbot Note Added: 0070013
2014-09-15 13:17 adrianromero Review Assigned To => adrianromero
2014-09-15 13:17 adrianromero Note Added: 0070125
2014-09-15 13:17 adrianromero Status resolved => closed
2014-09-29 12:49 egoitz Issue Monitored: egoitz
2014-10-01 16:36 hgbot Checkin
2014-10-01 16:36 hgbot Note Added: 0070613
2014-10-01 17:30 hgbot Checkin
2014-10-01 17:30 hgbot Note Added: 0070620
2014-10-09 13:07 Orekaria Relationship added blocks 0027813
2014-11-11 14:36 Orekaria Relationship added blocks 0027911


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker